fixeria has uploaded this change for review. ( https://gerrit.osmocom.org/c/docker-playground/+/27056 )
Change subject: ttcn3-pgw-test: configure the 'ogstun' device for open5gs-upfd
......................................................................
ttcn3-pgw-test: configure the 'ogstun' device for open5gs-upfd
Unlike osmo-ggsn, open5gs-upfd does not configure the tun interface
itself. All IPv4/IPv6 addresses must be assigned manually. This
is exactly why both PGW_Tests.TC_createSession_ping4[_256] fail:
[sock] ERROR: ogs_write() failed (5:Input/outputerror) (../lib/tun/tunio.c:84)
[upf] WARNING: ogs_tun_write() failed (../src/upf/gtp-path.c:448)
Take Harald's setup.sh from open5gs-master and execute it in the
container running open5gs-upfd. This makes both test cases pass.
Change-Id: I0730b1f69285484a0aa0ebd664dafd8e476b294f
Related: SYS#5602
---
M ttcn3-pgw-test/jenkins.sh
A ttcn3-pgw-test/ogstun-setup.sh
2 files changed, 14 insertions(+), 0 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/docker-playground refs/changes/56/27056/1
diff --git a/ttcn3-pgw-test/jenkins.sh b/ttcn3-pgw-test/jenkins.sh
index 662e49b..bd6967c 100755
--- a/ttcn3-pgw-test/jenkins.sh
+++ b/ttcn3-pgw-test/jenkins.sh
@@ -16,6 +16,7 @@
mkdir $VOL_BASE_DIR/pgw
cp freeDiameter-smf.conf $VOL_BASE_DIR/pgw/
cp open5gs-*.yaml $VOL_BASE_DIR/pgw/
+cp ogstun-setup.sh $VOL_BASE_DIR/pgw/
SUBNET=18
network_create $SUBNET
@@ -43,6 +44,9 @@
$REPO_USER/open5gs-$IMAGE_SUFFIX \
open5gs-upfd -c /data/open5gs-upf.yaml
+# configure the 'ogstun' device for open5gs-upfd
+docker exec ${BUILD_TAG}-upf /data/ogstun-setup.sh
+
# start container with open5gs-smfd in background
docker run --cap-add=NET_ADMIN \
--device /dev/net/tun:/dev/net/tun \
diff --git a/ttcn3-pgw-test/ogstun-setup.sh b/ttcn3-pgw-test/ogstun-setup.sh
new file mode 100755
index 0000000..58693fd
--- /dev/null
+++ b/ttcn3-pgw-test/ogstun-setup.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+if ! grep "ogstun" /proc/net/dev > /dev/null; then
+ ip tuntap add name ogstun mode tun
+fi
+ip addr del 10.45.0.1/16 dev ogstun 2> /dev/null
+ip addr add 10.45.0.1/16 dev ogstun
+ip addr del cafe::1/64 dev ogstun 2> /dev/null
+ip addr add cafe::1/64 dev ogstun
+ip link set ogstun up
--
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/27056
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: I0730b1f69285484a0aa0ebd664dafd8e476b294f
Gerrit-Change-Number: 27056
Gerrit-PatchSet: 1
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-MessageType: newchange
Attention is currently required from: osmith, fixeria, pespin.
laforge has posted comments on this change. ( https://gerrit.osmocom.org/c/libosmocore/+/27046 )
Change subject: core/utils.h: add OSMO_LIKELY / OSMO_UNLIKELY macros
......................................................................
Patch Set 2:
(1 comment)
Patchset:
PS2:
no commitlog rationale.
does this really make sense in our use cases? did you see any benchmark differences? curious...
--
To view, visit https://gerrit.osmocom.org/c/libosmocore/+/27046
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: libosmocore
Gerrit-Branch: master
Gerrit-Change-Id: I0b029654ba050f079eed4a0574a3fa8019677067
Gerrit-Change-Number: 27046
Gerrit-PatchSet: 2
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Wed, 02 Feb 2022 17:47:04 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
laforge has submitted this change. ( https://gerrit.osmocom.org/c/simtrace2/+/27053 )
Change subject: lua dissector: adjust usage instructions
......................................................................
lua dissector: adjust usage instructions
...as originally described in the first commit that added the file.
Change-Id: I67918f0f62b1619786324ae84276a46d7c64eee5
---
M contrib/simtrace.lua
1 file changed, 4 insertions(+), 1 deletion(-)
Approvals:
Jenkins Builder: Verified
laforge: Looks good to me, approved
diff --git a/contrib/simtrace.lua b/contrib/simtrace.lua
index fa477d5..fadc01a 100644
--- a/contrib/simtrace.lua
+++ b/contrib/simtrace.lua
@@ -2,7 +2,10 @@
-- (C) 2021 by sysmocom - s.f.m.c. GmbH, Author: Eric Wild
-- SPDX-License-Identifier: GPL-2.0+
--
--- Usage: Put this into your ~/.wireshark/init.lua [or include it from there]
+-- Usage: Move this file to your "personal lua plugins" folder that
+-- can be found in the Wireshark Help->About Wireshark->Folders tab
+-- Windows: %APPDATA%\Wireshark\plugins.
+-- Unix-like systems: ~/.local/lib/wireshark/plugins.
usb_simtrace_protocol = Proto("USB_simtrace", "USB simtrace protocol")
--
To view, visit https://gerrit.osmocom.org/c/simtrace2/+/27053
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: simtrace2
Gerrit-Branch: master
Gerrit-Change-Id: I67918f0f62b1619786324ae84276a46d7c64eee5
Gerrit-Change-Number: 27053
Gerrit-PatchSet: 1
Gerrit-Owner: Hoernchen <ewild(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-MessageType: merged
laforge has submitted this change. ( https://gerrit.osmocom.org/c/docker-playground/+/27044 )
Change subject: ttcn3-pgw-test: make osmo-uecups-daemon more verbose
......................................................................
ttcn3-pgw-test: make osmo-uecups-daemon more verbose
Change-Id: Id491b4f9db63c82f3dc58f3fc523b4f84fea01e0
Related: SYS#5602
---
M ttcn3-pgw-test/osmo-uecups-daemon.cfg
1 file changed, 2 insertions(+), 1 deletion(-)
Approvals:
laforge: Verified
pespin: Looks good to me, but someone else must approve
dexter: Looks good to me, approved
diff --git a/ttcn3-pgw-test/osmo-uecups-daemon.cfg b/ttcn3-pgw-test/osmo-uecups-daemon.cfg
index 9f63bb7..e268277 100644
--- a/ttcn3-pgw-test/osmo-uecups-daemon.cfg
+++ b/ttcn3-pgw-test/osmo-uecups-daemon.cfg
@@ -8,7 +8,8 @@
logging timestamp 1
logging color 0
!
- logging level set-all info
+ logging level set-all debug
+ logging level linp info
line vty
bind 0.0.0.0
uecups
1 is the latest approved patch-set.
No files were changed between the latest approved patch-set and the submitted one.
--
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/27044
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: Id491b4f9db63c82f3dc58f3fc523b4f84fea01e0
Gerrit-Change-Number: 27044
Gerrit-PatchSet: 2
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: dexter <pmaier(a)sysmocom.de>
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: merged
laforge has submitted this change. ( https://gerrit.osmocom.org/c/docker-playground/+/27045 )
Change subject: osmo-uecups-master: install iputils-ping for ttcn3-pgw-test
......................................................................
osmo-uecups-master: install iputils-ping for ttcn3-pgw-test
In ttcn3-pgw-test we order osmo-uecups-daemon to execute `ping`,
which is not available in Debian images. Install it.
Change-Id: I73a78949d2e433d7cc4233395e45665056f083c8
Related: SYS#5602
---
M osmo-uecups-master/Dockerfile
1 file changed, 1 insertion(+), 0 deletions(-)
Approvals:
laforge: Looks good to me, approved; Verified
pespin: Looks good to me, but someone else must approve
diff --git a/osmo-uecups-master/Dockerfile b/osmo-uecups-master/Dockerfile
index e8767d1..74469e5 100644
--- a/osmo-uecups-master/Dockerfile
+++ b/osmo-uecups-master/Dockerfile
@@ -11,6 +11,7 @@
libosmocore-dev \
libosmo-netif-dev \
libsctp-dev \
+ iputils-ping \
strace && \
apt-get clean
--
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/27045
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: I73a78949d2e433d7cc4233395e45665056f083c8
Gerrit-Change-Number: 27045
Gerrit-PatchSet: 2
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: merged
Attention is currently required from: fixeria.
laforge has posted comments on this change. ( https://gerrit.osmocom.org/c/docker-playground/+/27055 )
Change subject: ttcn3-pgw-test: set PGW_Tests.mp_run_prog_log_path to '/data'
......................................................................
Patch Set 1: Verified+1 Code-Review+2
--
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/27055
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: Idd5a37e5768c400d410958149b97869db1e92fb1
Gerrit-Change-Number: 27055
Gerrit-PatchSet: 1
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Comment-Date: Wed, 02 Feb 2022 17:45:30 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment